Bug 38759 - three monitors, two graphic cards and Xinerama - almost working
Summary: three monitors, two graphic cards and Xinerama - almost working
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-28 19:39 UTC by Damian Nowak
Modified: 2011-10-25 19:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Damian Nowak 2011-06-28 19:39:37 UTC
My goal is to achieve one huge X screen on three monitors and two graphics cards. I got a working solution without Xinerama (one X screen on front+right and one X screen on the left) but this of course won't let me drag the windows. Enabling Xinerama makes something really strange to the right monitor, just see the video: http://upload.nowaker.net/nwkr/xinerama-fail.3gp As you can see, it's almost working. 

lspci:
01:00.0 VGA compatible controller: nVidia Corporation G73 [GeForce 7600 GT] (rev a1)
07:01.0 VGA compatible controller: nVidia Corporation NV44A [GeForce 6200] (rev a1)
(PCI-E x16 and old 32-bit PCI)

My xorg.conf: http://wklej.org/id/554292/txt/

Using Ubuntu 10.10, amd64.
Nouveau package version 2.4.21-1ubuntu2.1.
Comment 1 Pekka Paalanen 2011-06-29 08:51:23 UTC
Have you tried if you have any better luck with ZaphodHeads?

http://nouveau.freedesktop.org/wiki/MultiMonitorDesktop

The option is listed in the nouveau man page, but unfortunately I do not have an actual example to show. It would be configured like the "classic" separate-SCREEN dual-head, added with ZaphodHeads options.
Comment 2 Damian Nowak 2011-06-29 12:46:24 UTC
Thanks for your suggestion. I will google for ZaphodHeads examples and give it a try.

In meantime, let me provide some new insights.

Just after X start: http://upload.nowaker.net/nwkr/dualcard-xinerama-after-startup.jpg As you can see, everything looks OK! (I don't care the window popping up in the middle of two monitors) When I move the pointer on the front screen or left screen, everything is still OK. When I move the pointer back to the right screen, the story from the last video begins. Have a look: http://upload.nowaker.net/nwkr/dualcard-xinerama-fail-2.3gp

I believe something trivial is broken here. It's almost working - starts OK but moving a pointer to the right screen starts the fail story.

I will also take a look at the source - but I won't be too optimistic as I am a Java developer and don't really know the X or Linux stuff.
Comment 3 Damian Nowak 2011-06-30 14:38:15 UTC
@Pekka, thanks for your suggestion. I first tried ZaphodHeads but got a message in Xorg.0.log that driver doesn't understand it. I updated all X-related packages to the newest versions from https://launchpad.net/~xorg-edgers/+archive/ppa and apparently it works.

The strange thing you saw on the video is gone.
I saw it just once - maybe for 5 seconds - after a day-long work.
That's acceptable. :)

My xorg.conf: http://wklej.org/id/555276/txt/
You may update your instructions at http://nouveau.freedesktop.org/wiki/MultiMonitorDesktop
I wrote it from scratch as I didn't find any examples on the Internet.

In my case, three Xineramed screens, nouveau > nvidia in terms of performance.

Windows maximizing works correctly.

More about my system:
libdrm-nouveau1 2.4.23+git20110119.550fe2ca
xserver-xorg 1:7.5+6+xserver1.9
xserver-xorg-video-nouveau 1:0.0.16+git20110214.46acb7e0
kernel 2.6.35-30-generic
Ubuntu 10.10

---

Currently I'm not interested in 4 monitors environment but being here I just checked it. X doesn't start. First GPUs monitors only blink several times. I will report a new bug for this issue soon after I test more xorg.conf variations.
Comment 4 Damian Nowak 2011-10-25 19:21:22 UTC
I changed the status to INVALID since it was already fixed on Git.

---

An already resolved four monitors problem is here:
https://bugs.freedesktop.org/show_bug.cgi?id=39099


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.